import org.kwis.msp.lcdui.*;
import java.util.*;

public class AlphaEx extends Jlet
{
	protected void startApp(String args[])
	{
		Display dp = Display.getDefaultDisplay();
		//AlphaCard ü ٷ Ͽ pushCard() 
		dp.pushCard(new AlphaCard());
	}

	protected void destroyApp(boolean b){}

}

class AlphaCard extends Card 
{
	int alpha=255;
	Image image;
	Font font;


	protected void paint(Graphics g)
	{

		g.setColor(0x339933);
		g.fillRect(0,0,getWidth(),getHeight());

		g.setColor(0xffffff);
		g.fillRect(0,getHeight()-25,getWidth(),getHeight());

		font = Font.getDefaultFont();
		g.setFont(font);
		g.setColor(0x000000);
		g.drawString("1:ī庸 2:ʱȭ ", getWidth()/2, getHeight()-20, g.HCENTER);

			
		try
		{
			image = Image.createImage("image.png");
		}catch(Exception e){}

		g.drawImage(image,getWidth()/2,getHeight()/2,g.HCENTER|g.VCENTER);
		g.setAlpha(alpha);
		g.setColor(0xff0000);
		g.fillRect(getWidth()/2-16,getHeight()/2-26,35,54);
	}

	//KEY ̺Ʈ ޱ  Լ
	public boolean keyNotify(int type, int keyCode)
	{
		if(type == EventQueue.KEY_PRESSED && keyCode == EventQueue.KEY_NUM1)
		{
			alpha = alpha-10;
		
			if(alpha > 0)
				repaint();

		}
		if(type == EventQueue.KEY_PRESSED && keyCode == EventQueue.KEY_NUM2)
		{
			alpha = 255;
			repaint();
		}

		return true;
	}

}