import org.kwis.msp.lcdui.*;
import java.util.*;

public class ImageEx extends Jlet
{
	protected void startApp(String args[])
	{
		Display dp = Display.getDefaultDisplay();
		//ImageCard ü ٷ Ͽ pushCard() 
		dp.pushCard(new ImageCard());
	}

	protected void destroyApp(boolean b){}

}

class ImageCard extends Card 
{
	Image img1, img2;
	Font font;


	protected void paint(Graphics g)
	{
		int tmp1,tmp2;
		Random rand = new Random();

		// 
		g.setColor(0x339933);
		g.fillRect(0,0,getWidth(),getHeight());

		//title  
		g.setColor(0x00cc00);
		g.fillRect(0,10,getWidth(),20);
		g.setColor(0xffffff);
		//title ۲ 
		font = Font.getFont(Font.FACE_PROPORTIONAL, Font.STYLE_BOLD|Font.STYLE_UNDERLINED,Font.SIZE_LARGE);
		g.setFont(font);
		g.drawString("Two Card Game", getWidth()/2, 10, g.HCENTER);
		
		//menubar  
		g.setColor(0xffffff);
		g.fillRect(0,getHeight()-25,getWidth(),getHeight());
		font = Font.getDefaultFont(); //menubar ۲ 
		g.setFont(font);
		g.setColor(0x000000);
		g.drawString("1 Ŭ : ī屳ȯ", getWidth()/2, getHeight()-20, g.HCENTER);

		//Լ ̿Ͽ   Ҵ
		tmp1 = Math.abs(rand.nextInt())%8 + 1;
		
		//tmp1 ٸ    
		while(true)
		{
			tmp2 = Math.abs(rand.nextInt())%8 + 1;

			if(tmp1 != tmp2)
				break;
		}
			
		//  ̿Ͽ ̹ 
		try
		{
			img1 = Image.createImage("/image/" + tmp1 + ".png");
			img2 = Image.createImage("/image/" + tmp2 + ".png");

		}catch(Exception e){}

		//õ ī ̹ ѷ
		g.drawImage(img1,20,getHeight()/2,g.LEFT|g.VCENTER);
		g.drawImage(img2,getWidth()-20,getHeight()/2,g.RIGHT|g.VCENTER);
	}

	//KEY ̺Ʈ ޱ  Լ
	public boolean keyNotify(int type, int keyCode)
	{
		if(type == EventQueue.KEY_PRESSED && keyCode == EventQueue.KEY_NUM1)
		{
			repaint();
		}

		return true;
	}

}