// ButtonComponent   ̿Ͽ
//  ÷̰ ǵ Media Ŭ  

import org.kwis.msp.lcdui.*;
import org.kwis.msp.lwc.*;
import org.kwis.msp.media.*;
import java.io.*;


public class MediaEx extends Jlet implements ActionListener
{
		Clip clip;
		ShellComponent shell = new ShellComponent();
		FormComponent base_frm = new FormComponent();
		FormComponent stat_frm = new FormComponent();
		FormComponent btn_frm = new FormComponent(false);
		TickerComponent message = new TickerComponent("WIPI Player Ready !!",null);
		ButtonComponent start_btn;
		ButtonComponent stop_btn;

	protected void startApp(String args[])
	{
		try
		{
			Image img = null;
			byte[] buff = new byte[512];
			int len;
			//music.mid  о instream ü Ҵ
			InputStream instream = getClass().getResourceAsStream("music.mid");
			//Ʈ  Ʈ ü 
			ByteArrayOutputStream outstream = new ByteArrayOutputStream();

			//instream оͼ outstream 
			while((len = instream.read(buff)) != -1)
				outstream.write(buff, 0, len);

			//outstream Էµ Ʈ ̿Ͽ clip ü 
			clip = new Clip("audio/MIDI", outstream.toByteArray());
			instream.close();
			outstream.close();

			img = Image.createImage("play.bmp");
			start_btn = new ButtonComponent(null,img);
			start_btn.setActionListener(this, null);
			img = Image.createImage("stop.bmp");
			stop_btn = new ButtonComponent(null,img);
			stop_btn.setActionListener(this, null);

		}catch(IOException e){}

		message.setDelay(500);
		message.setTickerState(true);
		stat_frm.addComponent(message);
		btn_frm.addComponent(start_btn);
		btn_frm.addComponent(stop_btn);
		btn_frm.setGab(20);

		base_frm.addComponent(stat_frm);
		base_frm.addComponent(btn_frm);
		base_frm.setGab(15);

		shell.setTitle("WIPI Media Player"); 
		shell.addComponent(base_frm);
		shell.show();
	}

	protected void destroyApp(boolean b){}

	//̺Ʈ ߻ ȣ
	public void action(Component c, Object o)
	{
		//start_btn ̺Ʈ ߻ ÷ 
		if(c == start_btn)
		{
			message.setString("Playing Music");
			Player.play(clip, true);
		}
		else if(c == stop_btn)
		{
			message.setString("Player Stop!!");
			Player.stop(clip);
		}

	}
}